summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2019-09-09 21:47:38 +0200
committerJeroen Roovers <jer@gentoo.org>2019-09-09 21:52:56 +0200
commitf3ef79630bda793b028404233e02e91241308617 (patch)
treec01ff05bd83acd305fe3853a66cd7d0c268177e2
parentsys-devel/llvm-common: Remove 5.0.2 (diff)
downloadgentoo-f3ef79630bda793b028404233e02e91241308617.tar.gz
gentoo-f3ef79630bda793b028404233e02e91241308617.tar.bz2
gentoo-f3ef79630bda793b028404233e02e91241308617.zip
dev-libs/libuv: Version 1.32.0
Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--dev-libs/libuv/Manifest1
-rw-r--r--dev-libs/libuv/libuv-1.32.0.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-libs/libuv/Manifest b/dev-libs/libuv/Manifest
index 71009582a9f..0068ba70780 100644
--- a/dev-libs/libuv/Manifest
+++ b/dev-libs/libuv/Manifest
@@ -3,3 +3,4 @@ DIST libuv-1.29.1.tar.gz 1224127 BLAKE2B f116b0e0df9c2b65bafb8ebe0259ac1e1702232
DIST libuv-1.30.0.tar.gz 1228356 BLAKE2B 1e70ff162f5b6200e1a88c069360cbbc246d8bd5428c918ff80fadd139b3416301116c1015953ff7be583523a5c977b1da003958e6dd66cf2f43ef5adfc798c3 SHA512 3ba158cea5027fe7c30314da08a620a718cb30ca38997e46ad00912eefac9d2d94f9dd256c204771686a546d7445da2db1be2a0abed7ba14f122332767ee5ee8
DIST libuv-1.30.1.tar.gz 1228593 BLAKE2B db45d283b7aec00ee5b617a6d3578112aeae6f006da5b09c9d0eb07ce9ceee59d6acc0ae9e476602f664c67d24685c4e1ac0e1524f38475da1f00e89c8376bd8 SHA512 bf6d99e4807da3e90c1852b901953fb5ddb9354942a433d8ddfef9a0766abfe3783216936c546ea1b9f2872d0d031dd184519bb5c7f58f6baeae4446f0f5e3fd
DIST libuv-1.31.0.tar.gz 1238566 BLAKE2B d6a9b92dc8a6f28dd89f65e6d1b7ff4921c7d591c13965e27304d3ca38f25d0436a1ab690a09238c511bb787bcecbaf2cc34a214a388515eef039fc5742ec7ee SHA512 bb27ab86f2f6e9c2b22e768216097db2b69e468967b48bf1a15d17c36b445355ee4bd356f59bbd1bcf7d7c0d3f68b2c6660f999a2cc0660033eb5e3775499409
+DIST libuv-1.32.0.tar.gz 1242643 BLAKE2B 39520790200c70a417103416a6c2a389aad7b67878872c3733cf0dbca5ace012e45da088b0695e8dcbf55859635b6d67672581bc13c444d078ffa536bd3d0c39 SHA512 3e043a56fd09fdaf3c89f81b3dff70a385ba8a59ec065447c95199a0e45da323b8545fb13b50139c557541357450103a88297fdc921832de661f3e2700173b96
diff --git a/dev-libs/libuv/libuv-1.32.0.ebuild b/dev-libs/libuv/libuv-1.32.0.ebuild
new file mode 100644
index 00000000000..046df21f294
--- /dev/null
+++ b/dev-libs/libuv/libuv-1.32.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools multilib-minimal
+
+DESCRIPTION="Cross-platform asychronous I/O"
+HOMEPAGE="https://github.com/libuv/libuv"
+SRC_URI="${HOMEPAGE}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD BSD-2 ISC MIT"
+SLOT="0/1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+RESTRICT="test"
+
+DEPEND="sys-devel/libtool
+ virtual/pkgconfig[${MULTILIB_USEDEP}]"
+
+src_prepare() {
+ default
+
+ echo "m4_define([UV_EXTRA_AUTOMAKE_FLAGS], [serial-tests])" \
+ > m4/libuv-extra-automake-flags.m4 || die
+
+ # upstream fails to ship a configure script
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ cc_cv_cflags__g=no
+ $(use_enable static-libs static)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+ mkdir "${BUILD_DIR}"/test || die
+ cp -pPR "${S}"/test/fixtures "${BUILD_DIR}"/test/fixtures || die
+ default
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${D}" -name '*.la' -delete || die
+}